[Bug] setlang URLs in entity terms view contain unescaped ampersands
Closed, ResolvedPublic

Description

https://www.wikidata.org/wiki/Q4115189 contains

<a href="/w/index.php?title=Q4115189&setlang=en">English</a>

expected result:

<a href="/w/index.php?title=Q4115189&amp;setlang=en">English</a>

See: https://validator.w3.org/nu/?doc=https%3A%2F%2Fwww.wikidata.org%2Fwiki%2FQ4115189

Fomafix created this task.Oct 24 2015, 1:53 PM
Fomafix updated the task description. (Show Details)
Fomafix raised the priority of this task from to Normal.
Fomafix added a subscriber: Fomafix.
Restricted Application added a project: Wikidata. · View Herald TranscriptOct 24 2015, 1:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

The links can be found in table cells with the class wikibase-entitytermsforlanguageview-language

Change 248615 had a related patch set uploaded (by Gerrit Patch Uploader):
EntityTermsView.php: Escape href parameter

https://gerrit.wikimedia.org/r/248615

Fomafix claimed this task.Oct 24 2015, 2:39 PM

Change 249086 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Add missing test for EntityTermsView::getEntityTermsForLanguageListView

https://gerrit.wikimedia.org/r/249086

thiemowmde renamed this task from [Bug] URLs contain unescaped & to [Bug] setlang URLs in entity terms view contain unescaped ampersands.Oct 27 2015, 11:28 AM
thiemowmde set Security to None.
thiemowmde added subscribers: thiemowmde, adrianheine.

Change 248615 merged by jenkins-bot:
EntityTermsView.php: Escape href parameter

https://gerrit.wikimedia.org/r/248615

aude closed this task as Resolved.Oct 30 2015, 11:12 AM
aude removed a project: Patch-For-Review.
aude moved this task from Proposed to Done on the Wikidata-Sprint-2015-10-13 board.

Change 249086 merged by jenkins-bot:
Add missing test for EntityTermsView::getEntityTermsForLanguageListView

https://gerrit.wikimedia.org/r/249086